Name:          alsa-plugins
Version:       1.2.12
Release:       1mamba
Summary:       Plugins for the Advanced Linux Sound Architecture (ALSA)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.alsa-project.org/wiki/Main_Page
Source:        https://github.com/alsa-project/alsa-plugins.git/v%{version}/alsa-plugins-%{version}.tar.bz2
Patch0:        libalsa-plugins-1.0.23-jack_torben.patch
Patch1:        libalsa-plugins-1.1.7-upstream-fix-a52_close.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-devel
BuildRequires: libavutil-devel
BuildRequires: libjack-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsamplerate-devel
BuildRequires: libspeexdsp-devel
BuildRequires: libswresample-devel
## AUTOBUILDREQ-END
BuildRequires: libavcodec-ffmpeg-devel >= 4.1
BuildRequires: libavutil-ffmpeg-devel >= 4.1
BuildRequires: libpulseaudio-devel >= 9.0-1mamba
Provides:      libalsa-plugins
Obsoletes:     libalsa-plugins <= 1.2.6

%description
Plugins for the Advanced Linux Sound Architecture (ALSA).

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
autoreconf -f -i

%build
%configure \
   --disable-lavrate

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/alsa/conf.d/*.conf
%{_sysconfdir}/alsa/conf.d/*.conf.example
%{_libdir}/alsa-lib/libasound_module_*
%{_datadir}/alsa/alsa.conf.d/*.conf
%doc COPYING

%changelog
* Tue Jun 11 2024 Automatic Build System <autodist@openmamba.org> 1.2.12-1mamba
- automatic version update by autodist

* Thu Jan 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.7.1-1mamba
- update to 1.2.7.1

* Sat Feb 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-1mamba
- update to 1.2.6

* Wed Jun 16 2021 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update by autodist

* Fri Feb 21 2020 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Thu Nov 21 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue May 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-2mamba
- configure with --disable-lavrate to fix audacity (see https://bugs.archlinux.org/task/60586)

* Tue May 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Sun Jan 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-1mamba
- update to 1.1.8

* Tue Nov 27 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-3mamba
- upstream patch which should fix audacity

* Sat Nov 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-2mamba
- rebuilt with ffmpeg 4.1

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Sun Jun 18 2017 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-3mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=9.0-1mamba

* Mon Apr 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- rebuilt with pulseaudio 8.0 (arm)

* Thu Apr 07 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon Nov 16 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 1.0.29-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.27-2mamba
- rebuilt with pulseaudio 4.0

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Sun Sep 23 2012 Automatic Build System <autodist@mambasoft.it> 1.0.26-1mamba
- automatic version update by autodist

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Sat Feb 05 2011 Automatic Build System <autodist@mambasoft.it> 1.0.24-1mamba
- update to 1.0.24

* Mon Dec 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-2mamba
- jack_plug: added Torbenh patch from http://lists.linuxaudio.org/pipermail/linux-audio-user/2010-October/073562.html

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 1.0.23-1mamba
- automatic update to 1.0.23 by autodist

* Wed Dec 16 2009 Automatic Build System <autodist@mambasoft.it> 1.0.22-1mamba
- automatic update to 1.0.22 by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 1.0.21-1mamba
- automatic update to 1.0.21 by autodist

* Thu May 07 2009 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic update to 1.0.20 by autodist

* Mon Jan 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- automatic update to 1.0.19 by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18rc3-1mamba
- automatic update by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-3mamba
- automatic rebuild by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-2mamba
- automatic rebuild by autodist

* Thu Nov 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-1mamba
- automatic update to 1.0.18 by autodist

* Thu Aug 21 2008 gil <puntogil@libero.it> 1.0.17-1mamba
- update to 1.0.17

* Sun Feb 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.16-1mamba
- update to 1.0.16

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.15-1mamba
- update to 1.0.15

* Mon Jun 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.14-1mamba
- update to 1.0.14

* Fri Jan 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-2qilnx
- rebuilt

* Sun Oct 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.13-1qilnx
- update to version 1.0.13 by autospec

* Wed Sep 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1qilnx
- package created by autospec
